package com.vulcannis.icfp2002.bots;

import com.vulcannis.icfp2002.game.Direction;
import com.vulcannis.icfp2002.game.GameState;

public final class AlwaysMoveFirst implements MovePrioritizer {

	public AlwaysMoveFirst( final boolean first )
	{
		this.first = first;
	}

	public boolean shouldMoveFirst( final GameState state, final Direction dir )
	{
		return first;
	}
	
	public boolean isConflict( )
	{
		return false;
	}
	
	private final boolean first;
}
