package com.vulcannis.icfp2002.bots;

import java.util.*;

import com.vulcannis.icfp2002.game.*;

public interface PackagePrioritizer
{
	/**
	 * Determines which packages a bot should pick up.
	 * @param state the current game state.
	 * @param packages the packages available to pick up.
	 * @return the set of packages which should be picked up.
	 */
	public Set getPickupSet( final GameState state, final Set packages );
}
