package com.vulcannis.icfp2002.game;

import com.vulcannis.icfp2002.util.*;

public final class PlayerMove extends PlayerAction {
	/**
	 * @param o The opponent uid.
	 * @param d The direction the opponent moved in.
	 */
	public PlayerMove(int o, Direction d) {
		super(o);
		direction = d;
	}
	
	public Direction getDirection() {
		return direction;
	}
	
	public void updatePlayer(Player p) {
		p.setLocation(direction.move(p.getLocation()));
		p.setStuck( false );
	}
	
	private Direction direction;
}
