package com.vulcannis.icfp2002;

import com.vulcannis.icfp2002.bots.*;
import com.vulcannis.icfp2002.net.*;

public class Main {
	public static void runGame( final String args[ ], final Bot bot )
	{
		try {
			GameServer server = new NetworkServer( args[ 0 ], Integer.parseInt( args[ 1 ] ) );
			GameClient client = new BotClient( bot );
			server.addPlayer( client );
		}
		catch( Exception e ) {
			e.printStackTrace( );
		}
	}
	
	public static void main( String args[ ] )
	{
		runGame( args, new DeliveryBot( new LargestPackagesFirst( ), new DeliveryPlotter( ), new ConstantBidder( ) ) );
	}
}
