package com.vulcannis.icfp2002.game;

import com.vulcannis.icfp2002.util.*;

public abstract class PlayerAction {
	/**
	 * @param o The opponent uid.
	 */
	public PlayerAction(int o) {
		opponent = o;
	}

	public int getUid() {
		return opponent;
	}
	
	public abstract void updatePlayer( Player p );
	
	private int opponent;
}
